<?php
    $directorio_actual = isset($_GET['carpeta']) ? $_GET['carpeta'] : './archivos/';
?>
<?php
    // Establecer un tamaño máximo de archivo temporalmente (en este caso, 50MB)
    ini_set('upload_max_filesize', '50M');

    // Establecer los archivos permitidos
    $permitidos=array('mdb', 'rar', 'zip');
    
    // Obtener el tamaño máximo de archivo permitido para cargar
    $tamano_maximo_archivo = ini_get('upload_max_filesize');

    // Obtener el tamaño máximo de datos POST permitido
    $tamano_maximo_post = ini_get('post_max_size');
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mi Servidor de Descargas</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <center>
    <table>
        
        <tr>
            <td>
            <div id="explorador-archivos">
                <center><h1>Mi Servidor de Respaldo de Bases de Datos</h1></center>
                <p>Los archivos permitidos son: <?php                     
                    $n=count($permitidos)-1;
                    if ($n>=0){
                        echo $permitidos[0];
                        for ($i=1;$i<=$n; $i++){
                            echo ',' . $permitidos[$i]; 
                        }
                    }
                ?></p>
                <p>Limite de tamaño de Archivo: <?php echo $tamano_maximo_archivo; ?></p>
                <!-- <p>Tamaño máximo de datos POST permitido: <?php echo $tamano_maximo_post; ?></p>
                -->
                <div id="carpeta-actual">
                    <?php include 'listar_archivos.php'; ?>
                </div>
            </td>
        </tr>
    </table>
    </center>
</body>
</html>
